Novell Home

CVE-2011-1898

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2011-1898 at MITRE

Description

Xen 4.1 before 4.1.1 and 4.0 before 4.0.2, when using PCI passthrough on Intel VT-d chipsets that do not have interrupt remapping, allows guest OS users to gain host OS privileges by "using DMA to generate MSI interrupts by writing to the interrupt injection registers."

NVD CVSS v2 Base Score: 7.4 (AV:A/AC:M/Au:S/C:C/I:C/A:C)

Novell/SUSE information

Novell Bugzilla entry: 702025, 724906

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.3
  • xen-debugsource >= 4.0.2_21511_02-0.5.2
  • xen-kmp-default-debuginfo >= 4.0.2_21511_02_k2.6.34.10_0.2-0.5.2
  • xen-kmp-desktop-debuginfo >= 4.0.2_21511_02_k2.6.34.10_0.2-0.5.2
  • xen-kmp-pae-debuginfo >= 4.0.2_21511_02_k2.6.34.10_0.2-0.5.2
  • xen-libs-debuginfo >= 4.0.2_21511_02-0.5.2
  • xen-tools-debuginfo >= 4.0.2_21511_02-0.5.2
  • xen-tools-domU-debuginfo >= 4.0.2_21511_02-0.5.2
openSUSE 11.3
  • vm-install >= 0.4.31-0.4.1
  • xen >= 4.0.2_21511_02-0.5.2
  • xen-devel >= 4.0.2_21511_02-0.5.2
  • xen-doc-html >= 4.0.2_21511_02-0.5.2
  • xen-doc-pdf >= 4.0.2_21511_02-0.5.2
  • xen-kmp-default >= 4.0.2_21511_02_k2.6.34.10_0.2-0.5.2
  • xen-kmp-desktop >= 4.0.2_21511_02_k2.6.34.10_0.2-0.5.2
  • xen-kmp-pae >= 4.0.2_21511_02_k2.6.34.10_0.2-0.5.2
  • xen-libs >= 4.0.2_21511_02-0.5.2
  • xen-tools >= 4.0.2_21511_02-0.5.2
  • xen-tools-domU >= 4.0.2_21511_02-0.5.2
SLE 11 SP1 DEBUGINFO
  • xen-debuginfo >= 4.0.2_21511_02-0.7.1
  • xen-debugsource >= 4.0.2_21511_02-0.7.1
sled11-sp1.x86
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86-64
sles11-sp1.x86
SAT Patch Nr: 4977
SUSE Linux Enterprise Software Development Kit 11 SP1
  • xen-devel >= 4.0.2_21511_02-0.7.1
sled11-sp1.x86
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86-64
sles11-sp1.x86
SAT Patch Nr: 4977
SUSE Linux Enterprise Desktop 11 SP1
  • vm-install >= 0.4.31-0.3.5
  • xen >= 4.0.2_21511_02-0.7.1
  • xen-kmp-default >= 4.0.2_21511_02_2.6.32.43_0.4-0.7.1
  • xen-kmp-pae >= 4.0.2_21511_02_2.6.32.43_0.4-0.7.1
  • xen-libs >= 4.0.2_21511_02-0.7.1
  • xen-tools >= 4.0.2_21511_02-0.7.1
  • xen-tools-domU >= 4.0.2_21511_02-0.7.1
sled11-sp1.x86
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86-64
sles11-sp1.x86
SAT Patch Nr: 4977
SUSE Linux Enterprise Desktop 11 SP1
  • vm-install >= 0.4.31-0.3.5
  • xen >= 4.0.2_21511_02-0.7.1
  • xen-kmp-default >= 4.0.2_21511_02_2.6.32.43_0.4-0.7.1
  • xen-libs >= 4.0.2_21511_02-0.7.1
  • xen-tools >= 4.0.2_21511_02-0.7.1
  • xen-tools-domU >= 4.0.2_21511_02-0.7.1
sled11-sp1.x86
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86-64
sles11-sp1.x86
SAT Patch Nr: 4977
SUSE Linux Enterprise Server 11 SP1
  • vm-install >= 0.4.31-0.3.5
  • xen >= 4.0.2_21511_02-0.7.1
  • xen-doc-html >= 4.0.2_21511_02-0.7.1
  • xen-doc-pdf >= 4.0.2_21511_02-0.7.1
  • xen-kmp-default >= 4.0.2_21511_02_2.6.32.43_0.4-0.7.1
  • xen-libs >= 4.0.2_21511_02-0.7.1
  • xen-tools >= 4.0.2_21511_02-0.7.1
  • xen-tools-domU >= 4.0.2_21511_02-0.7.1
sled11-sp1.x86
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86-64
sles11-sp1.x86
SAT Patch Nr: 4977
SUSE Linux Enterprise Server 11 SP1
  • vm-install >= 0.4.31-0.3.5
  • xen >= 4.0.2_21511_02-0.7.1
  • xen-doc-html >= 4.0.2_21511_02-0.7.1
  • xen-doc-pdf >= 4.0.2_21511_02-0.7.1
  • xen-kmp-default >= 4.0.2_21511_02_2.6.32.43_0.4-0.7.1
  • xen-kmp-pae >= 4.0.2_21511_02_2.6.32.43_0.4-0.7.1
  • xen-libs >= 4.0.2_21511_02-0.7.1
  • xen-tools >= 4.0.2_21511_02-0.7.1
  • xen-tools-domU >= 4.0.2_21511_02-0.7.1
sled11-sp1.x86
sles11-sp1.x86-64
sle11-sp1-sdk.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86-64
sles11-sp1.x86
SAT Patch Nr: 4977
openSUSE 11.4 DEBUGINFO
  • xen-debugsource >= 4.0.2_52-0.2.1
  • xen-kmp-default-debuginfo >= 4.0.2_52_k2.6.37.6_0.7-0.2.1
  • xen-kmp-desktop-debuginfo >= 4.0.2_52_k2.6.37.6_0.7-0.2.1
  • xen-kmp-pae-debuginfo >= 4.0.2_52_k2.6.37.6_0.7-0.2.1
  • xen-libs-debuginfo >= 4.0.2_52-0.2.1
  • xen-tools-debuginfo >= 4.0.2_52-0.2.1
  • xen-tools-domU-debuginfo >= 4.0.2_52-0.2.1
openSUSE 11.4
  • vm-install >= 0.4.31-0.4.1
  • xen >= 4.0.2_52-0.2.1
  • xen-devel >= 4.0.2_52-0.2.1
  • xen-doc-html >= 4.0.2_52-0.2.1
  • xen-doc-pdf >= 4.0.2_52-0.2.1
  • xen-kmp-default >= 4.0.2_52_k2.6.37.6_0.7-0.2.1
  • xen-kmp-desktop >= 4.0.2_52_k2.6.37.6_0.7-0.2.1
  • xen-kmp-pae >= 4.0.2_52_k2.6.37.6_0.7-0.2.1
  • xen-libs >= 4.0.2_52-0.2.1
  • xen-tools >= 4.0.2_52-0.2.1
  • xen-tools-domU >= 4.0.2_52-0.2.1

© 2014 Novell